Package org.jacoco.core.internal.analysis.filter

## Interface IFilterOutput

    public interface IFilterOutput

Interface used by filters to mark filtered items.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `ignore​(org.objectweb.asm.tree.AbstractInsnNode fromInclusive, org.objectweb.asm.tree.AbstractInsnNode toInclusive)` Marks sequence of instructions that should be ignored during computation of coverage.
`void` `merge​(org.objectweb.asm.tree.AbstractInsnNode i1, org.objectweb.asm.tree.AbstractInsnNode i2)` Marks two instructions that should be merged during computation of coverage.
`void` `replaceBranches​(org.objectweb.asm.tree.AbstractInsnNode source, java.util.Set<org.objectweb.asm.tree.AbstractInsnNode> newTargets)` Marks instruction whose outgoing branches should be replaced during computation of coverage.

### Method Detail

#### ignore

    void ignore​(org.objectweb.asm.tree.AbstractInsnNode fromInclusive,
                org.objectweb.asm.tree.AbstractInsnNode toInclusive)

Marks sequence of instructions that should be ignored during computation of coverage.

Parameters:
  `fromInclusive` - first instruction that should be ignored, inclusive
  `toInclusive` - last instruction coming after `fromInclusive` that should be ignored, inclusive

#### merge

    void merge​(org.objectweb.asm.tree.AbstractInsnNode i1,
               org.objectweb.asm.tree.AbstractInsnNode i2)

Marks two instructions that should be merged during computation of coverage.

Parameters:
  `i1` - first instruction
  `i2` - second instruction

#### replaceBranches

    void replaceBranches​(org.objectweb.asm.tree.AbstractInsnNode source,
                         java.util.Set<org.objectweb.asm.tree.AbstractInsnNode> newTargets)

Marks instruction whose outgoing branches should be replaced during computation of coverage.

Parameters:
  `source` - instruction which branches should be replaced
  `newTargets` - new targets of branches